Skip to main content

List user profiles

GET 

/nevisidm/api/core/v1/:clientExtId/users/:extId/profiles

Since: 2.71.0

Required permission(s): AccessControl.UserView,AccessControl.ProfileView or SelfAdmin Role

Returns all profiles of the user with the given external ID.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    extId stringrequired

    External ID of the user.

    Example: user-123

Query Parameters

    continuationToken string

    Pagination continuation token from a previous response.

    limit int32

    Default value: 0

    Maximum number of results to return.

    Example: 100

Responses

User profiles retrieved successfully

Schema
    items object[]
  • Array [
  • created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The external ID of the profile.

    userExtId string

    The external ID of the user to whom the profile belongs.

    unitExtId string

    The external ID of the unit to which the profile belongs.

    clientExtId string

    The external ID of the client to which the policy belongs.

    deputedProfileExtId string

    The external ID of the deputed profile.

    name string

    The name of the profile.

    profileState string

    The state of the profile.

    isDefaultProfile boolean

    Determines whether the profile is default or not.

    validity object

    Describes the validity period of the profile.

    from string

    Start date of the entity's validity in ISO format.

    to string

    End date of the entity's validity in ISO format.

    remarks string

    Textual remark regarding the profile.

    modificationComment string

    Textual comment regarding the last modification.

    get_classifications object

    Data classifications for the profile fields.

    property name* string[]
  • Array [
  • string

  • ]
  • ]
  • _pagination object
    continuationToken string

    The continuation token for fetching the next page of results generated from creation date and external id of the last entity

    limit int32

    The maximum number of results returned in a single page

    totalResult int64

    The total number of results available, only supported for selected endpoints, if returnTotalResultCount query-parameter is true

    _classifications object
    property name* string[]
  • Array [
  • string

  • ]
Loading...